All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::spai::sparse_vector< NumericT > Class Template Reference

Represents a sparse vector based on std::map<unsigned int, NumericT> More...

`#include <sparse_vector.hpp>`

## Public Types

typedef std::map< unsigned int, NumericT >::iterator | iterator
typedef std::map< unsigned int, NumericT >::const_iterator | const_iterator

## Public Member Functions

| sparse_vector ()
NumericT & | operator[] (unsigned int ind)
| Set the index of the vector in the original matrix. More...
void | clear ()
const_iterator | find (unsigned int var) const
iterator | find (unsigned int var)
const_iterator | begin () const
iterator | begin ()
const_iterator | end () const
iterator | end ()

## Detailed Description

### template<typename NumericT>
class viennacl::linalg::detail::spai::sparse_vector< NumericT >

Represents a sparse vector based on std::map<unsigned int, NumericT>

Definition at line 50 of file sparse_vector.hpp.

## Member Typedef Documentation

template<typename NumericT >

typedef std::map<unsigned int, NumericT>::const_iterator viennacl::linalg::detail::spai::sparse_vector< NumericT >::const_iterator

Definition at line 54 of file sparse_vector.hpp.

template<typename NumericT >

typedef std::map<unsigned int, NumericT>::iterator viennacl::linalg::detail::spai::sparse_vector< NumericT >::iterator

Definition at line 53 of file sparse_vector.hpp.

## Constructor & Destructor Documentation

template<typename NumericT >

viennacl::linalg::detail::spai::sparse_vector< NumericT >::sparse_vector | ( |  | ) |

inline

Definition at line 56 of file sparse_vector.hpp.

## Member Function Documentation

template<typename NumericT >

const_iterator viennacl::linalg::detail::spai::sparse_vector< NumericT >::begin | ( |  | ) | const

inline

Definition at line 70 of file sparse_vector.hpp.

template<typename NumericT >

iterator viennacl::linalg::detail::spai::sparse_vector< NumericT >::begin | ( |  | ) |

inline

Definition at line 71 of file sparse_vector.hpp.

template<typename NumericT >

void viennacl::linalg::detail::spai::sparse_vector< NumericT >::clear | ( |  | ) |

inline

Definition at line 65 of file sparse_vector.hpp.

template<typename NumericT >

const_iterator viennacl::linalg::detail::spai::sparse_vector< NumericT >::end | ( |  | ) | const

inline

Definition at line 72 of file sparse_vector.hpp.

template<typename NumericT >

iterator viennacl::linalg::detail::spai::sparse_vector< NumericT >::end | ( |  | ) |

inline

Definition at line 73 of file sparse_vector.hpp.

template<typename NumericT >

const_iterator viennacl::linalg::detail::spai::sparse_vector< NumericT >::find | ( | unsigned int | var | ) | const

inline

Definition at line 67 of file sparse_vector.hpp.

template<typename NumericT >

iterator viennacl::linalg::detail::spai::sparse_vector< NumericT >::find | ( | unsigned int | var | ) |

inline

Definition at line 68 of file sparse_vector.hpp.

template<typename NumericT >

NumericT& viennacl::linalg::detail::spai::sparse_vector< NumericT >::operator[] | ( | unsigned int | ind | ) |

inline

Set the index of the vector in the original matrix.

May only be called once.

Definition at line 63 of file sparse_vector.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/spai/sparse_vector.hpp